Bug 442612 - Regression: nant fails. Possibly because log4net coudl not be loaded?
Regression: nant fails. Possibly because log4net coudl not be loaded?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nant (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-15 15:38 EDT by John Ellson
Modified: 2009-07-14 12:07 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:07:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stderr output from running nant (2.08 KB, text/plain)
2008-04-15 15:38 EDT, John Ellson
no flags Details

  None (edit)
Description John Ellson 2008-04-15 15:38:36 EDT
Description of problem:
nant fails.  Possibly because log4net could not be loaded?

Version-Release number of selected component (if applicable):
nant-0.85-20.fc9.x86_64
log4net-1.2.10-4.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1. trying to compile a C# pacage, such as http://opensimulator.org/
2. sh runprebuild.sh
3. nant
  
Actual results:
(see attached stderr output)

Expected results:
successful compile

Additional info:
Reverting to nant-0.85-12.fc7.x86_64.rpm from fc8 fixes the problem.

Same problem occurs with other C# packages.
Comment 1 John Ellson 2008-04-15 15:38:36 EDT
Created attachment 302511 [details]
stderr output from running nant
Comment 2 Bug Zapper 2008-05-14 05:29:50 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-06-09 20:12:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:07:38 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.